Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Base_Thread_Adapter.h File Reference

`#include "ace/OS_Log_Msg_Attributes.h"`
`#include "ace/ACE_export.h"`
`#include "ace/Base_Thread_Adapter.inl"`

Include dependency graph for Base_Thread_Adapter.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_Base_Thread_Adapter
| Base class for all the Thread_Adapters. More...
class | ACE_OS_Thread_Descriptor
| Parent class of all ACE_Thread_Descriptor classes. = Container for ACE_Thread_Descriptor members that are used in ACE_OS. More...
## Defines
#define | ACE_INLINE inline
## Functions
ACE_Export ACE_THR_FUNC_RETURN | ace_thread_adapter (void *args)

## Detailed Description

Id:
  Base_Thread_Adapter.h,v 4.10 2003/12/31 20:33:00 kobica Exp

Author:
  Nanbor Wang <nanbor@cs.wustl.edu>

## Define Documentation

#define ACE_INLINE inline

## Function Documentation

ACE_Export ACE_THR_FUNC_RETURN ace_thread_adapter | ( | void * | args | ) |